<?xml version="1.0" encoding="utf-16"?>
<Setting>

  <Page ID="11000" Text="漏洞修复" Pic="360settingcenter\image\icon6.png">
    <Item ID="11001" Type ="Group" Text="补丁保存设置" AutoSize="1">
      <Item Type="Static" Text="您的漏洞补丁安装源文件将保存在以下目录" Theme="realpro_default" />
      <Item ID="11002" Type="Edit" Width="415" Text="请输入下载目录" LineSpaceFactor="0" >
        <Action Type="DllEx" Name="leakrepair.dll" GetFunc="GetDownloadDirectory" SetFunc="SetDownloadDirectory" DefaultValueType="VT_BSTR">
          <ErrorMsg ErrorCode="1" ErrorText="补丁下载目录不可写，请重新选择下载目录！" />
          <ErrorMsg ErrorCode="2" ErrorText="补丁下载目录创建不成功，请重新选择下载目录！" />
          <ErrorMsg ErrorCode="3" ErrorText="补丁下载目录所在磁盘空间不足100MB，请重新选择下载目录！" />
          <ErrorMsg ErrorCode="4" ErrorText="补丁下载目录创建不成功，请重新选择下载目录！" />
          <ErrorMsg ErrorCode="5" ErrorText="设置下载目录注册表不可写！" />
        </Action>
      </Item>
      <Item ID="11003" Type="Button" Width="72" Text="选择目录"  NewLine="0" Left="435" LineSpaceFactor="1" >
        <Action Type="SelectDir" DefaultValue="11002"/>
      </Item>
      <Item ID="11004" Type="Group">
        <Action Type="Reg" HKEY="HKEY_LOCAL_MACHINE" SubKey="Software\360Safe\leak" Value="SaveFile" ValueType="REG_DWORD" DefaultValue="0"/>
        <Item Type="Radio" Text="保存补丁安装源文件(用于重装系统以及网吧等局域网内统一打补丁)" Value="1" Left="0"/>
        <Item Type="Radio" Text="定期自动删除补丁安装源文件" Value="0" Left="0" />
      </Item>
    </Item>
    <Item ID="11011" Type ="Group" Text="扫描提示和修复方式" AutoSize="1">
      <Item ID="11012" Type="Group">
        <Action Type="Reg" HKEY="HKEY_LOCAL_MACHINE" SubKey="Software\360Safe\leak" Value="Silent" ValueType="REG_DWORD" DefaultValue="0"/>
        <Item Type="Radio" Text="开机自动扫描，并自动修复高危漏洞（推荐）" Value="1" Left="0"/>
        <Item Type="Radio" Text="开机自动扫描，发现高危漏洞及时提示" Value="0" Left="0" />
        <Item Type="Radio" Text="开机不扫描高危漏洞" Value="2" Left="0" >
          <Item ID="11015" Type="Static" Text="(注：这里的开机是指电脑启动或漏洞库升级时)" Theme="Setting_Static_Grey" Left="-12" />
        </Item>
      </Item>
    </Item>
    <Item ID="11021" Type ="Group" Text="下载安装顺序" AutoSize="1">
      <Item ID="11022" Type="Group">
        <Action Type="Reg" HKEY="HKEY_LOCAL_MACHINE" SubKey="Software\360Safe\leak" Value="DownAndInstall" ValueType="REG_DWORD" DefaultValue="1"/>
        <Item Type="Radio" Text="补丁下载、安装同时进行(有效节省漏洞修复时间)" Value="1" Left="0"/>
        <Item Type="Radio" Text="补丁全部下载完毕，再逐个安装(可大幅减少下载时的CPU占用)" Value="0" Left="0" />
      </Item>
    </Item>
    <Item ID="11031" Type ="Group" Text="其它设置" AutoSize="1">
      <Item ID="11032" Type="Check" Text="关闭Windows Update" LineSpaceFactor="1">
        <Action Type="Dll" Name="leakrepair.dll" GetFunc="GetWindowUpdate" SetFunc="SetWindowUpdate" DefaultValue="1" />
      </Item>
      <Item ID="11033" Type="Check"  Text="启用系统蓝屏修复功能（推荐）" LineSpaceFactor="1">
      	<Filter Type="File" Name="modules\360vulsetup.exe" />
        <Action Type="Reg" HKEY="HKEY_LOCAL_MACHINE" SubKey="Software\360Safe\leak" Value="UseAIRestore" ValueType="REG_DWORD" DefaultValue="0"/>
      </Item>
      <Item ID="11034" Type="Check"  Text="自定义网络路径或本机目录下载补丁" LineSpaceFactor="1" IsConnChild="1" >
        <Action Type="Reg" HKEY="HKEY_LOCAL_MACHINE" SubKey="Software\360Safe\leak" Value="pathtype" ValueType="REG_DWORD" DefaultValue="0"/>
        <Item ID="11035" Type="Edit" Left="-12" Width="395" Text="请输入下载目录" LineSpaceFactor="1" >
          <Action Type="Reg" HKEY="HKEY_LOCAL_MACHINE" SubKey="Software\360Safe\leak" Value="netpath" ValueType="REG_SZ" DefaultValue=""/>
        </Item>
        <Item ID="11036" Type="Button" Width="72" Text="选择目录"  NewLine="0" Left="403" LineSpaceFactor="1" >
          <Action Type="SelectDir" DefaultValue="11035"/>
        </Item>
      </Item>
    </Item>
  </Page>
</Setting>
